<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

































class HinterlegungAnwesenheitsStatus extends HinterlegungDefault
{
  
  public function __construct()
  {
    parent::__construct();


    $dbanwBem = new DBWorkHLKursAnwesenheitBemerkung();
    $this->data = $dbanwBem->getAll();
  }

  
  public function GetValueAt($row, $column)
  {
    switch ($column) {
      case 0: return $this->data[$row]->schl;
      case 1: return $this->data[$row]->schluessel;
      case 2: return $this->data[$row]->text;
      default: return parent::GetValueAt($row, $column);
    }
  }

  
  public function GetColumnCount()
  {
    return 3;
  }

  public function GetColumnWidth($index)
  {
    return '';
  }

  
  public function GetColumnTitle($index)
  {
    switch ($index) {
      case 0: return 'Status';
      case 1: return 'Schl&uuml;ssel';
      case 2: return 'Bemerkung';
      default: return parent::GetColumnTitle($index);
    }
  }
}